Subject: x2godesktopsharing applet starts multiple times in KDE Plasma if restore desktop is set

From: Mike Gabriel <[email-masked]>
Date: Sat, 15 Dec 2018 16:17:57 +0000

Package: x2godesktopsharing
Severity: important
Version: 3.2.0.0
X-Debbugs-Cc: [email-masked]

Hi,

I turn this thread into an official bug report...

On  So 09 Dez 2018 13:59:02 CET, Víctor J. Sánchez E. wrote:

>
> El mié., 5 dic. 2018 a las 15:09, Víctor J. Sánchez (<[email-masked]>)
> escribió:
>
>> Hi all,
>>
>> I recently installed x2godesktopsharing via X2Go repositories for Debian.
>> The installation asked me about activate the auto-start feature (I said
>> yes) and enable shared desktop (I said no). When I reboot the machine in
>> KDE Plasma desktop I see two x2godesktopsharing applets in system tray and
>> the next error message is displayed (translated into english):
>>
>> *The application X2Go DesktopSharing is already active for this screen*
>>
>> *if it doesn't run remove /tmp/x2godesktopsharing.lock_USER@:0 and start
>> it up again*
>>
>> I don't know about x2godesktopsharing is started because I can't find
>> anything in the documentation about it. I only see the file
>> /etc/xdg/autostart/x2godesktopsharing.desktop but I don't see any system
>> service (systemctl) nor KDE Plasma desktop's startup service or script.
>>
>> How could I resolve this issue?
>>
>> Some data about my system:
>>
>> - Debian testing (amd64), kernel 4.18.0-3-amd64
>>
>> - KDE Plasma 5.14.3
>>
>> - x2godesktopsharing 3.2.0.0
>>
>> Thanks in advance.
>>

> Hi all again,
>
> after investigate deeper about this issue I noted that every log in in KDE
> Plasma session the number of x2godesktopsharing applets were increasing in
> system tray (until 5 applets or more!!).
> I discovered that the restore of KDE Plasma session setting was inexplicably
> resetted (may due to an update). I set it again to starts an empty session
> and the problem has gone. Now it only starts only one x2godesktopsharing
> system tray applet.
> The setting is in KDE System Settings -> Startup and Shutdown -> Desktop
> Session -> On Login switch to "Start with an empty session" instead of
> "Restore previous session".
>
> Regards.
>
> ----

This looks like we should hinder x2godesktopsharing from starting a  
second instance when there is one already running for the same $DISPLAY.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de